﻿/* Global */
* {
    font-family: "Poppins", sans-serif;
}

/* 
this is
*/
.container {
    max-width: calc(1200px + 30px);
    margin: 0 auto;
    width: 100%;
    padding: 0px 15px;
    position: relative;
    z-index: 2;
}

.top-nav {
    text-align: center;
    background: var(--bg-nav-pink);
    padding: 12px;
    font-size: 16px;
    font-weight: 700
}

.top-nav span {
    color: var(--color-warning)
}

.quiz-page .header {
    border-bottom: 1px solid var(--border-light);
    position: sticky;
    top: 0px;
    z-index: 10;
    background: var(--color-white);
}

.quiz-page {
    background: linear-gradient(180deg, var(--primary-color-light) 15%, var(--color-white) 55%);
    height: 100%;
    min-height: 100vh;
}

/* When radio is selected */
.option-card input[type="radio"]:checked+svg path {
    fill: var(--primary-color)
        /* your selected color */
}

.quiz-step {
    display: none;
}

.consent-container {
    height: calc(100vh - 500px);
    background-color: var(--bg-consent-yellow);
    padding: 10px;
    border-radius: 10px;
    border: 1px solid var(--color-yellow-soft);
    overflow-y: auto;
    /* design scroll */
    scrollbar-width: thin;
    scrollbar-color: var(--border-light) transparent;
}

.consent-container h4 {
    font-weight: 700;
    margin-bottom: 10px;
    padding-bottom: 10px;

}

.consent-text {
    line-height: 24px;
    margin-bottom: 10px;

}

.quiz-step.active {
    display: block;
}

.quiz-page .header .header-cont {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 84px;
    position: relative;
}

.quiz-page .header .header-cont .btn-back {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 8px;
    position: absolute;
    left: 0px;
}

.quiz-page .header .header-cont .btn-back p {
    color: var(--color-text-input);
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

.quiz-page .header .header-cont .logo {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 160px;
}

.quiz-page .header .header-cont .logo img {
    width: 100%;
}

.quiz-page .quiz {
    padding: 40px 0px;
}

.section1 {
    border-bottom: 1px solid var(--border-light)
}

.section1 h1 {
    color: var(--text-dark);
    text-align: start;
    font-size: 32px;
    font-style: normal;
    font-weight: 500;
    margin-bottom: 20px;
    line-height: 48px
}

.section1 h1 span {
    color: var(--primary-color);
    font-weight: 700;
}

.section1 h6 {
    color: var(--text-dark);
    text-align: start;
    margin-bottom: 20px;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

.quiz-page .quiz .quiz-cont {
    max-width: 450px;
    width: 100%;
    margin: 0 auto;
}

.quiz-page .quiz .quiz-cont .progress-container {
    width: 100%;
    max-width: 160px;
    height: 6px;
    border-radius: 16px;
    background-color: var(--bg-section);
    margin: 0 auto;
    margin-bottom: 20px;
}

.quiz-page .quiz .quiz-cont .progress-container .progress-line {
    height: 100%;
    background: var(--color-text-input);
    border-radius: 16px;
    width: 0%;
    transition: all 0.2s;
}

.quiz-page .quiz .quiz-cont h2 {
    margin-bottom: 20px;
    text-align: center;
    color: var(--color-text-input);
    text-align: center;
    font-size: 32px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

.quiz-page .quiz .quiz-cont p {
    color: var(--color-text-input);
    text-align: center;
    margin-bottom: 20px;
    margin-top: 20px;
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

.quiz-page .quiz .quiz-cont .list .itm {
    position: relative;
    margin-bottom: 8px;
    display: block;
    transition: all 0.2s;
}

.quiz-page .quiz .quiz-cont .list .itm input {
    display: none;
}

.quiz-page .quiz .quiz-cont .list .itm .itm-content {
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding: 0px 20px;
    height: 64px;
    width: 100%;
    background: var(--color-white);
    border-radius: 8px;
    border: 2px solid var(--border-light);
    cursor: pointer;
    color: var(--color-text-input);
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    transition: all 0.2s;
}

.quiz-page .quiz .quiz-cont .list .itm:hover .itm-content {
    border-color: var(--border-hover);
}

.quiz-page .quiz .quiz-cont .list .itm input:checked+.itm-content {
    border-color: var(--primary-color);
    background-color: var(--primary-color-light);
}

.quiz-page .quiz .quiz-cont textarea {
    border-radius: 8px;
    border: 1px solid var(--text-dark);
    background: var(--color-white);
    padding: 15px 20px;
    width: 100%;
    min-height: 128px;
    resize: none;
    margin-bottom: 20px;
}

.quiz-page .quiz .quiz-cont textarea::placeholder {
    color: var(--border-hover);
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

.quiz-page .quiz .quiz-cont .btn-send {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 48px;
    border-radius: 64px;
    background: var(--primary-color);
    border: 0px;
    color: var(--color-white);
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    cursor: pointer;
    transform-style: preserve-3d;
}

.quiz-page .quiz .quiz-cont .btn-send span {
    display: flex;
    align-items: center;
    justify-content: center;
    transform: translateZ(5px);
}

.quiz-page .quiz .quiz-cont hr.line {
    width: 100%;
    background-color: var(--border-light);
    border: 1px solid var(--border-light);
    margin-top: 0px;
    margin-bottom: 20px;
    display: block;
    box-sizing: border-box;
}

.quiz-page .quiz .quiz-cont .row {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    gap: 8px;
    margin-bottom: 20px;
}

.quiz-page .quiz .quiz-cont .row select {
    flex: 1;
    border-radius: 8px;
    border: 2px solid var(--border-light);
    background: var(--color-white);
    display: flex;
    justify-content: flex-start;
    align-items: center;
    height: 64px;
    padding: 0px 20px;
    padding-right: 40px;
    cursor: pointer;
    -webkit-appearance: none;
    background: var(--color-white) url(../img/down.svg);
    background-position: calc(100% - 8px) center;
    background-repeat: no-repeat;
    transition: all 0.2s;
}

.quiz-page .quiz .quiz-cont .row select:hover {
    border-color: var(--border-hover);
}

/* for radio */

.option-group {
    display: flex;
    flex-direction: column;
    gap: 20px;
    margin: 20px 0px 30px 0px;
}

.option-group .option-card {
    display: flex;
    align-items: center;
    gap: 20px;
    padding: 16px 20px;
    border: 1px solid var(--border-light);
    border-radius: 10px;
    cursor: pointer;
    font-size: 16px;
    color: var(--color-black);
    background: var(--color-white);
    transition: border-color 0.25s ease, background 0.25s ease;
}

.option-group .option-card input[type="radio"] {
    accent-color: var(--primary-color);
    cursor: pointer;
}

.option-group .option-card span {
    flex: 1;
}

/* Selected state */
.option-group .option-card:has(input[type="radio"]:checked) {
    border-color: var(--primary-color);
    background: var(--primary-color-xlight);
}

/* Hover */
.option-group .option-card:hover {
    border-color: var(--primary-color);
}

/* for checkbox */

.option-group {
    display: flex;
    flex-direction: column;
    gap: 14px;
}

.option-group .form-check {
    display: flex;
    align-items: flex-start;
    gap: 16px;
    padding: 2px 0px;
    /* border: 2px solid var(--border-light); */
    border-radius: 10px;
    cursor: pointer;
    transition: border-color 0.25s ease, background 0.25s ease;
}

/* Bigger checkbox */
.option-group .form-check-input {
    accent-color: var(--primary-color);
    cursor: pointer;
    transform: scale(1.15);
    /* ⬅ increase size */
    transform-origin: left center;
    margin-top: 6px;
}

/* Text */
.option-group .form-check-label {
    flex: 1;
    color: var(--color-black);
    font-size: 16px;
    line-height: 1.5;
}

/* Checked state */
.option-group .form-check:has(.form-check-input:checked) {
    border-color: var(--primary-color);
    /* background: var(--primary-color-xlight); */
}

/* Hover */
.option-group .form-check:hover {
    border-color: var(--primary-color);
}


/* consent html question */
.question-title h2 {
    margin-bottom: 20px;
    text-align: start !important;
    color: var(--color-text-input);
    text-align: center;
    font-size: 24px !important;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    margin-top: 20px !important;
}

.question-title h3,
.question-title h4 {
    margin-bottom: 20px;
    text-align: start !important;
    color: var(--color-text-input);
    text-align: center;
    font-size: 24px !important;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
    margin-top: 20px !important;
}

.question-title ul {
    /* add bulltes */
    padding-left: 40px;
}

.question-title ul li {
    list-style-type: disc !important;
    text-align: start !important;
    color: var(--color-text-input);
    font-size: 18px !important;
    font-style: normal;
    font-weight: 500;
    line-height: normal;
}

.question-title .question {
    text-align: start !important;
    font-weight: 500 !important;
}

.question-title p {
    text-align: start !important;
    font-weight: 300 !important;
}


@media only screen and (max-width: 768px) {
    .quiz-page .header .header-cont .btn-back p {
        display: none;
    }

    .quiz-page .header .header-cont {
        height: 70px;
    }

    .quiz-page .header .header-cont .logo {
        width: 130px;
    }

    .quiz-page .quiz .quiz-cont h2 {
        font-size: 24px;
    }
}

@media only screen and (max-width: 425px) {
    .container {
        padding: 0px 10px;
    }

    .top-nav {

        font-size: 14px;
        font-weight: 700
    }

    /* step1 */
    .section1 h1 {
        font-size: 24px;
        line-height: 36px;
        margin-bottom: 20px;
    }

    .section1 h1 span {
        font-weight: 600;
    }

    .content-lg h1 {
        font-size: 28px;
    }

    .section1 h6 {
        color: var(--text-dark);
        text-align: start;
        margin-bottom: 20px;
        font-size: 16px;
        font-style: normal;
        font-weight: 500;
        line-height: 1.4;
    }

    .option-group {
        margin: 20px 0px 20px 0px;
    }

    .option-group .form-check-input {
        transform: scale(1.2);
        margin-top: 6px;
    }

    .option-group .option-card {}

    .consent-container {
        height: calc(100vh - 450px);
    }

}

@media only screen and (max-width: 375px) {
    .quiz-page .quiz .quiz-cont .row select {
        height: 54px;
        padding: 0px 10px;
        padding-right: 30px;
    }

    .quiz-page .quiz .quiz-cont .list .itm .itm-content {
        height: 54px;
    }
}